System 2.0.0.0 4.0.0.0 System.Enum

The appropriate contents of various headers are described in detail in the HTTP/1.1 specification.

The HTTP headers that can be specified in a server response.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Accept-Ranges header, which specifies the range that is accepted by the server.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Age header, which specifies the time, in seconds, since the response was generated by the originating server.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Allow header, which specifies the set of HTTP methods that are supported.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Cache-Control header, which specifies caching directives that must be obeyed by all caching mechanisms along the request/response chain.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Connection header, which specifies options that are desired for a particular connection.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Content-Encoding header, which specifies the encodings that have been applied to the accompanying body data.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Content-Langauge header, which specifies the natural language or languages of the accompanying body data.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Content-Length header, which specifies the length, in bytes, of the accompanying body data.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Content-Location header, which specifies a URI from which the accompanying body can be obtained.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Content-MD5 header, which specifies the MD5 digest of the accompanying body data, for the purpose of providing an end-to-end message integrity check.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Range header, which specifies the subrange or subranges of the response that the client requests be returned in lieu of the entire response.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Content-Type header, which specifies the MIME type of the accompanying body data.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Date header, which specifies the date and time at which the response originated.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Etag header, which specifies the current value for the requested variant.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Expires header, which specifies the date and time after which the accompanying body data should be considered stale.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Keep-Alive header, which specifies a parameter to be used to maintain a persistent connection.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Last-Modified header, which specifies the date and time at which the accompanying body data was last modified.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Location header, which specifies a URI to which the client is redirected to obtain the requested resource.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Pragma header, which specifies implementation-specific directives that might apply to any agent along the request/response chain.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Proxy-Authenticate header, which specifies that the client must authenticate itself to a proxy.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Retry-After header, which specifies a time (in seconds), or a date and time, after which the client can retry its request.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Server header, which specifies information about the originating server agent.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Set-Cookie header, which specifies cookie data that is presented to the client.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Trailer header, which specifies that the indicated header fields are present in the trailer of a message that is encoded with chunked transfer-coding.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Transfer-Encoding header, which specifies what (if any) type of transformation has been applied to the message body.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Upgrade header, which specifies additional communications protocols that the client supports.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Vary header, which specifies the request headers that are used to determine whether a cached response is fresh.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Via header, which specifies intermediate protocols to be used by gateway and proxy agents.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The Warning header, which specifies additional information about that status or transformation of a message that might not be reflected in the message.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.HttpResponseHeader

  The WWW-Authenticate header, which specifies that the client must authenticate itself to the server.